import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
import 'models.dart';

part 'images.g.dart';

@JsonSerializable()
class Images extends Equatable {
  @JsonKey(name: 'avatar')
  final Avatar avatar;

  Images({this.avatar});

  factory Images.fromJson(Map<String, dynamic> json) => _$ImagesFromJson(json);

  Map<String, dynamic> toJson() => _$ImagesToJson(this);

  @override
  List<Object> get props => [this.avatar];
}
