import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';

part 'media_item_reorder_body.g.dart';

@JsonSerializable()
class MediaItemReorderBody extends Equatable {
  @JsonKey(name: 'rank')
  final List<int> rank;

  MediaItemReorderBody({this.rank});

  factory MediaItemReorderBody.fromJson(Map<String, dynamic> json) =>
      _$MediaItemReorderBodyFromJson(json);

  Map<String, dynamic> toJson() => _$MediaItemReorderBodyToJson(this);

  @override
  List<Object> get props => [this.rank];
}
